package com.ruoyi.szxc.service.impl;

import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.szxc.domain.SzxcXcRecard;
import com.ruoyi.szxc.mapper.SzxcXcRecardMapper;
import com.ruoyi.szxc.service.ISzxcXcRecardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 巡查记录Service业务层处理
 * 
 * @author hs
 * @date 2024-03-20
 */
@Service
public class SzxcXcRecardServiceImpl implements ISzxcXcRecardService 
{
    @Autowired
    private SzxcXcRecardMapper szxcXcRecardMapper;

    /**
     * 查询巡查记录
     * 
     * @param id 巡查记录主键
     * @return 巡查记录
     */
    @Override
    public SzxcXcRecard selectSzxcXcRecardById(Long id)
    {
        return szxcXcRecardMapper.selectSzxcXcRecardById(id);
    }

    /**
     * 查询巡查记录列表
     * 
     * @param szxcXcRecard 巡查记录
     * @return 巡查记录
     */
    @Override
    @DataScope(deptAlias = "x")
    public List<SzxcXcRecard> selectSzxcXcRecardList(SzxcXcRecard szxcXcRecard)
    {
        return szxcXcRecardMapper.selectSzxcXcRecardList(szxcXcRecard);
    }

    /**
     * 新增巡查记录
     * 
     * @param szxcXcRecard 巡查记录
     * @return 结果
     */
    @Override
    public int insertSzxcXcRecard(SzxcXcRecard szxcXcRecard)
    {
        szxcXcRecard.setCreateTime(DateUtils.getNowDate());
        return szxcXcRecardMapper.insertSzxcXcRecard(szxcXcRecard);
    }

    /**
     * 修改巡查记录
     * 
     * @param szxcXcRecard 巡查记录
     * @return 结果
     */
    @Override
    public int updateSzxcXcRecard(SzxcXcRecard szxcXcRecard)
    {
        szxcXcRecard.setUpdateTime(DateUtils.getNowDate());
        return szxcXcRecardMapper.updateSzxcXcRecard(szxcXcRecard);
    }

    /**
     * 批量删除巡查记录
     * 
     * @param ids 需要删除的巡查记录主键
     * @return 结果
     */
    @Override
    public int deleteSzxcXcRecardByIds(Long[] ids)
    {
        return szxcXcRecardMapper.deleteSzxcXcRecardByIds(ids);
    }

    /**
     * 删除巡查记录信息
     * 
     * @param id 巡查记录主键
     * @return 结果
     */
    @Override
    public int deleteSzxcXcRecardById(Long id)
    {
        return szxcXcRecardMapper.deleteSzxcXcRecardById(id);
    }
}
